// Déclaration des constantes et variables

const int PinPOT = 0;
int ValPot = 0;
int OldValPot =0;
float Tension=0.00;


// Initialisation des entrées et sorties

void setup() {
  Serial.begin(9600); 
  Serial.println("Valeur A0 ; Tension (V):");   
}


// Fonction principale en boucle

void loop() {
  ValPot = analogRead(PinPOT);
  if (abs(ValPot - OldValPot)>=2) { 
    Serial.print(ValPot);
    Serial.print(" ; ");
    Tension=ValPot*5.00/1023;
    Serial.println(Tension);
    OldValPot = ValPot;
    }
  delay(100);
}
